Up

# NSBackgroundActivityScheduler class documentation

### Authors

Generated by Debian

Date: Generated at 2025-02-13 06:02:40 +0000

# Software documentation for the NSBackgroundActivityScheduler class

## NSBackgroundActivityScheduler : NSObject

> Declared in:
>   Foundation/NSBackgroundActivityScheduler.h

Availability: MacOS-X 10.10.0
Description forthcoming.

Instance Variables
Method summary

- -identifier
- -initWithIdentifier:
- -interval
- -invalidate
- -qualityOfService
- -repeats
- -scheduleWithBlock:
- -setIdentifier:
- -setInterval:
- -setQualityOfService:
- -setRepeats:
- -setShouldDefer:
- -setTolerance:
- -shouldDefer
- -tolerance

### identifier

- (NSString*) identifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### initWithIdentifier:

- (instancetype) initWithIdentifier: (NSString*)identifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### interval

- (NSTimeInterval) interval;
Availability: MacOS-X 10.10.0
Description forthcoming.

### invalidate

- (void) invalidate;
Availability: MacOS-X 10.10.0
Description forthcoming.

### qualityOfService

- (NSQualityOfService) qualityOfService;
Availability: MacOS-X 10.10.0
Description forthcoming.

### repeats

- (BOOL) repeats;
Availability: MacOS-X 10.10.0
Description forthcoming.

### scheduleWithBlock:

- (void) scheduleWithBlock: (GSScheduledBlock)block;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setIdentifier:

- (void) setIdentifier: (NSString*)identifier;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setInterval:

- (void) setInterval: (NSTimeInterval)interval;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setQualityOfService:

- (void) setQualityOfService: (NSQualityOfService)qualityOfService;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setRepeats:

- (void) setRepeats: (BOOL)flag;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setShouldDefer:

- (void) setShouldDefer: (BOOL)flag;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setTolerance:

- (void) setTolerance: (NSTimeInterval)tolerance;
Availability: MacOS-X 10.10.0
Description forthcoming.

### shouldDefer

- (BOOL) shouldDefer;
Availability: MacOS-X 10.10.0
Description forthcoming.

### tolerance

- (NSTimeInterval) tolerance;
Availability: MacOS-X 10.10.0
Description forthcoming.

## Instance Variables for NSBackgroundActivityScheduler Class

### _block

@protected GSScheduledBlock _block;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _identifier

@protected NSString* _identifier;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _interval

@protected NSTimeInterval _interval;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _opts

@protected NSActivityOptions _opts;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _qualityOfService

@protected NSQualityOfService _qualityOfService;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _reason

@protected NSString* _reason;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _repeats

@protected BOOL _repeats;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _shouldDefer

@protected BOOL _shouldDefer;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timer

@protected NSTimer* _timer;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _token

@protected id _token;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tolerance

@protected NSTimeInterval _tolerance;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up